//
//  UIFont+Titi.h
//  FornoWorld
//
//  Created by RD on 2021/7/30.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, FontStyle) {
    
    FontStyle_Regular,
    FontStyle_Italic,
    FontStyle_Thin,
    FontStyle_ThinItalic,
    FontStyle_Light,
    FontStyle_LightItalic,
    FontStyle_SemiBold,
    FontStyle_SemiBoldItalic,
    FontStyle_Bold,
    FontStyle_BoldItalic,
    FontStyle_Black,
    
};

@interface UIFont (Titi)


/// TitilliumWeb 字体
/// @param fontStyle 粗细样式
/// @param size 字体大小
+ (UIFont *)rds_titiFontStyle:(FontStyle )fontStyle size:(CGFloat )size;

@end

NS_ASSUME_NONNULL_END
