//
//  NSArray+Safe.h
//  RuiZhi
//
//  Created by RD on 2020/6/16.
//  Copyright © 2020 RDIOT. All rights reserved.
//

#import <Foundation/Foundation.h>



@interface NSArray (Safe)

/// 为数组分类添加的方法  可以在应用中直接调用 可以防止数组越界导致的crash
/// @param index 传入的取值下标
- (id)objectAtIndexSafe:(NSUInteger)index;

@end



@interface NSMutableArray (Safe)

/// 为数组分类添加的方法  可以在应用中直接调用 可以防止数组越界导致的crash
/// @param index 传入的取值下标
- (id)objectAtIndexSafe:(NSUInteger)index;

- (void)addObjectSafe:(id)anObject;
@end


