//
//  NSString+safe.h
//  SmartLightForBigFish
//
//  Created by coderYK on 2017/9/13.
//  Copyright © 2017年 RD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (safe)


/**
 安全地截取子字符串

 @param range 范围
 @return 字符串
 */
- (NSString *)rds_getSubStringSafetyWithRange:(NSRange)range;


/**
 安全地截取子字符串

 @param location 以0开始的字节位置
 @param length   截取的字节长度
 @return 字符串
 */
- (NSString *)rds_getSubStringSafetyWithByteLoc:(NSUInteger)location andByteLen:(NSUInteger)length;

- (NSString *)rds_substringFromIndex:(NSUInteger)from;

@end
