//
//  RDSResetDeviceVC.m
//  Temperature
//
//  Created by RD on 2023/1/10.
//

#import "RDSResetDeviceVC.h"
#import "RDSAddRoomVC.h"

@interface RDSResetDeviceVC ()
@property (weak, nonatomic) IBOutlet UILabel *lab1;
@property (weak, nonatomic) IBOutlet UILabel *lab2;
@property (weak, nonatomic) IBOutlet UIImageView *imgView1;
@property (weak, nonatomic) IBOutlet UIImageView *imgView2;

@end

@implementation RDSResetDeviceVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"添加房间";
    
//    if(TheDataManager.rooms.count == 0){
    if (self.deviceTypeModel.isMasterController) {
        // 添加主控
        _lab1.text = @"1、主控制器开机状态下，长按『菜单键』3s进入设置界面";
        _lab2.text = @"2、再次长按『菜单键』，直到显示配网二维码";
        _imgView1.image = [UIImage imageNamed:@"img_reset_1"];
        _imgView2.image = [UIImage imageNamed:@"img_reset_2"];
    } else {
        // 添加分控
        _lab1.text = @"1、分控制器开机状态下，长按『菜单键』3s直到界面出现配网二维码";
        _lab2.text = @"2、使用APP扫码绑定";
        _imgView1.image = [UIImage imageNamed:@"img_reset_3"];
        _imgView2.image = [UIImage imageNamed:@"img_reset_4"];
    }
}


- (IBAction)onNextBtnClick {
    
    RDSAddRoomVC *vc = [[RDSAddRoomVC alloc] init];
    vc.deviceTypeModel = self.deviceTypeModel;
    [self pushViewController:vc animated:YES];
    
}

@end
