//
//  RDSDeviceTypeModel.h
//  Temperature
//
//  Created by 姓二名哈字富贵儿 on 2023/8/17.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface RDSDeviceTypeModel : NSObject

@property (nonatomic, copy) NSString *record_id;
@property (nonatomic, copy) NSString *name;
@property (nonatomic, copy) NSString *code;
@property (nonatomic, copy) NSString *parent_id;
@property (nonatomic, copy) NSString *icon;
@property (nonatomic, assign, readonly) BOOL isMasterController;

@property (nonatomic, strong) NSArray<RDSDeviceTypeModel *> *children;

@property (nonatomic, strong, readonly) NSMutableArray<RDSDeviceTypeModel *> *deviceTypeList;

- (NSString * _Nullable)getDeviceNameWithIndex:(NSInteger)index;

- (void)rds_fetchDeviceTypeListFinished:(void(^)(NSError * _Nullable error))finished;

@end

NS_ASSUME_NONNULL_END
