//
//  RDSHomeModel.h
//  Temperature
//
//  Created by RD on 2022/12/15.
//

#import <Foundation/Foundation.h>
#import "RDSMemberModel.h"
#import "RDSRoomModel.h"


@interface RDSHomeModel : NSObject


@property (nonatomic, strong) NSString *record_id;// home_id
@property (nonatomic, strong) NSString *name;
@property (nonatomic, strong) NSString *province;
@property (nonatomic, strong) NSString *city;
@property (nonatomic, strong) NSString *district;
@property (nonatomic, strong) NSString *address;
@property (nonatomic, strong) NSString *ad_code;
@property (nonatomic, strong) NSString *gateway;
@property (nonatomic, strong) NSString *admin_id;
@property (nonatomic, strong) NSString *admin_name;
@property (nonatomic, strong) NSString *qr_code;

@property (nonatomic, assign) BOOL is_default;
@property (nonatomic, assign) BOOL is_online;

@property (nonatomic, strong) NSMutableArray <RDSMemberModel *> *member;
@property (nonatomic, strong) NSMutableArray <RDSRoomModel *> *room;

+ (void)rds_getHomeListIsAdmin:(BOOL)is_admin finished:(void(^)(NSError *error))finished;

+ (void)rds_getHomeDetailWithHomeId:(NSString *)homeId finished:(void(^)(RDSHomeModel *home, NSError *error))finished;
@end


