//
//  RDSHomeSceneView.h
//  Temperature
//
//  Created by RD on 2022/10/25.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class RDSHomeSceneView;
@protocol RDSHomeSceneViewDelegate <NSObject>

@optional
/**
 点击场景
 */
- (void)rds_sceneSelView:(RDSHomeSceneView *)controlView didSelectedScene:(id)scene atIndexPath:(NSIndexPath *)indexPath;

/**
 添加按钮点击的回调
 */
- (void)rds_sceneSelViewDidSelAddItem:(RDSHomeSceneView *)controlView;

@end


@interface RDSHomeSceneView : UIView

@property (nonatomic, weak) id<RDSHomeSceneViewDelegate> delegate;
@property (nonatomic, strong) NSArray *scenes;
@end

NS_ASSUME_NONNULL_END
