//
//  RDSHomeTopView.h
//  Temperature
//
//  Created by RD on 2022/10/25.
//

#import "RDSBaseXibView.h"
#import "WeatherModel.h"
#import "RDSSystemParameterModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface RDSHomeTopView : RDSBaseXibView

@property (weak, nonatomic) IBOutlet UIButton *headBtn;
@property (nonatomic, strong) NSString *title;
@property (nonatomic, copy) void(^onHeadClick)(void);

@property (nonatomic, strong) WeatherModel *model;
@property (nonatomic, strong) RDSSystemParameterModel *systemParameter;

@end

NS_ASSUME_NONNULL_END
