//
//  RDSDataManager.h
//  singleProduct
//
//  Created by coderYK on 2018/4/28.
//  Copyright © 2018年 RDIOT. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "RDSRoomModel.h"
#import "RDSHomeModel.h"
#import "RDSUserInfoModel.h"

#define TheDataManager [RDSDataManager sharedInstance]

@interface RDSDataManager : NSObject

AS_SINGLETON(RDSDataManager)

@property (nonatomic, assign) BOOL isFirstTimeAgree;
@property (nonatomic, strong) NSString *gateway;
@property (nonatomic, strong) NSString *phone;// 用于登录界面记录手机号
@property (nonatomic, strong) NSString *pwd;// 用于登录界面输入上次密码
@property (nonatomic, strong) NSString *token;    
@property (nonatomic, strong) NSString *verifyCode;
@property (nonatomic, assign) BOOL isFirstLogin;
@property (nonatomic, assign) BOOL isSetPassword;
@property (nonatomic, assign) BOOL isTest;// 记录开发环境

@property (nonatomic, strong) RDSUserInfoModel *currentUser;// 当前用户信息
@property (nonatomic, strong) RDSHomeModel *detailHome;// 家庭详情

@property (nonatomic, strong) NSMutableArray <RDSRoomModel *> *rooms;
@property (nonatomic, strong) NSMutableArray <RDSHomeModel *> *homes;
@property (nonatomic, strong) NSMutableArray <RDSHomeModel *> *homesAdmin;
@property (nonatomic, strong) NSString *current_home_name;
@property (nonatomic, assign) int current_home_index;
@property (nonatomic, strong) NSString *current_home_id;// 当前选中家庭ID，登录后如果用户没有切换家庭，就用接口返回的默认家庭ID

- (void)rds_cacheClean; // 缓存清除






@end



