//
//  CYCircularSlider.h
//  CYCircularSlider
//
//  Created by user on 2018/3/23.
//  Copyright © 2018年 com. All rights reserved.
//

#import <UIKit/UIKit.h>

// 半圆滑动条
@protocol senderValueChangeDelegate <NSObject>

/// 代理回调
-(void)senderVlueWithNum:(int)num;

// 正在修改 更新UI
-(void)senderVlueChangingWithNum:(int)num;

@end

@interface CYCircularSlider : UIControl


/// 显示的进度条颜色
@property (nonatomic, strong) UIColor* filledColor;


/// 背景线条颜色
@property (nonatomic, strong) UIColor* unfilledColor;


/**
 最小值
 */
@property (nonatomic) float minimumValue;
//
/**
 最大值
 */
@property (nonatomic) float maximumValue;

// 当前值 真实数值，区分与slider的档位
@property (nonatomic) int value;

/**
 圈边宽度
 */
@property (nonatomic) int lineWidth;


/// 圆点按钮颜色
@property (nonatomic, strong) UIColor* handleColor;

@property (nonatomic, strong) UIColor* handleColor2;

@property (nonatomic, strong) UIColor* handleColor3;

@property (nonatomic,weak) id<senderValueChangeDelegate> delegate;

-(void)setAddAngel;

-(void)setMovAngel;


@end
