//
//  TheAlertCtrl.h
//  FornoWorld
//
//  Created by RD on 2021/12/10.
//

#import <Foundation/Foundation.h>



@interface TheAlertCtrl : NSObject



// 弹窗提示信息
+ (instancetype)rds_alertWithTitle:(NSString *)title message:(NSString *)message;

+ (instancetype)rds_alertWithTitle:(NSString *)title message:(NSString *)message cancel:(NSString *)calcel sure:(NSString *)sure cancelColor:(UIColor *)cancelColor sureColor:(UIColor *)sureColor
                      cancelAction:(void(^)(void))cancelActionBlock sureAction:(void(^)(void))sureActionBlock;

/// 定时弹窗
+ (instancetype)rds_timerAlertSureAction:(void(^)(void))sureActionBlock;

- (void)rds_show;
- (void)rds_dismiss;

@end


