//
//  RDSBarButtonItem.h
//  RuiYuRealEstate
//
//  Created by coderYK on 2018/9/6.
//  Copyright © 2018年 coderYK. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface RDSBarButtonItem : UIBarButtonItem

+ (instancetype)fixSpaceReduce10;
+ (instancetype)fixSpaceReduce5;
+ (instancetype)fixSpace15;
+ (instancetype)menuBarButtonItemWithTarget:(id)target action:(SEL)action;
+ (instancetype)messageBarButtonItemWithTarget:(id)target action:(SEL)action;
+ (instancetype)moreBarButtonItemWithTarget:(id)target action:(SEL)action;
+ (instancetype)addBarButtonItemWithTarget:(id)target action:(SEL)action;
+ (instancetype)saveBarButtonItemWithTarget:(id)target action:(SEL)action;
+ (instancetype)barButtonItemWithTitle:(NSString *)title target:(id)target action:(SEL)action;
+ (instancetype)barButtonItemWithTitle:(NSString *)title bgColor:(UIColor *)bgColor target:(id)target action:(SEL)action;
+ (instancetype)barButtonItemWithTitle:(NSString *)title color:(UIColor *)color target:(id)target action:(SEL)action;


+ (instancetype)barButtonItemWithImage:(NSString *)imageName target:(id)target action:(SEL)action;
@end
