//
//  AESTools.h
//  Showroom
//
//  Created by RD on 2021/3/8.
//

#import <Foundation/Foundation.h>
#import "NSString+convert.h"

#define TheAESTools [AESTools sharedInstance]

@interface AESTools : NSObject

AS_SINGLETON(AESTools)


- (void)setVersion:(NSString *)version;// 设置协商版本，根据版本选择加密方式
- (NSString *)getRandomKeyString;      // 通过固定密钥对随机生成的16字节密钥进行加密

- (void)initFornoWorld;// 初始化，针对FornoWorld的加密方式

/// 加密
- (NSString *)encrypt:(NSString *)content;

/// 解密
- (NSString *)decrypt:(NSString *)content;

@end


