//
//  RDSNavPushHelper.m
//  SmartLightForBigFish
//
//  Created by coderYK on 2017/10/6.
//  Copyright © 2017年 RD. All rights reserved.
//

#import "RDSNavPushHelper.h"

@interface RDSNavPushHelper ()

@property (nonatomic, copy) void(^pushHandler)(UIViewController *);

@end

@implementation RDSNavPushHelper

DEF_SINGLETON(RDSNavPushHelper)

- (void)rds_waittingForViewControllerToPush:(void (^)(UIViewController *))pushHandler {
    
    _pushHandler = pushHandler;
}

- (void)setViewControllerToPush:(UIViewController *)viewControllerToPush {
    
    _viewControllerToPush = viewControllerToPush;
    if (_pushHandler) {
        _pushHandler(viewControllerToPush);
    }
}

@end
