//
//  RDSBaseTableViewController.h
//  SmartLightForBigFish
//
//  Created by coderYK on 2017/8/7.
//  Copyright © 2017年 RD-iOS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MJRefresh/MJRefresh.h>

@interface RDSBaseTableViewController : UITableViewController

@property (nonatomic, weak) UIActivityIndicatorView *juHua;

- (void)rds_refresh;

- (void)rds_showJuHuaOnWindow;

- (void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated;


//** 弹窗提示信息,单选确定操作*/
- (void)rds_alertTitle:(NSString *)title message:(NSString *)message doneAction:(void(^)(void))doneActionBlock;

//** 弹窗提示信息,可选操作 确定 取消*/
- (void)rds_alertTitle:(NSString *)title message:(NSString *)message doneAction:(void(^)(void))doneActionBlock cancelAction:(void(^)(void))cancelActionBlock;

- (void)rds_alertInputTitle:(NSString *)title msg:(NSString *)msg placeholder:(NSString *)placeholder doneAction:(void(^)(NSString *name))doneActionBlock;
@end
