//
//  RDSBaseXibView.m
//  SmartLightForBigFish
//
//  Created by coderYK on 2018/1/16.
//  Copyright © 2018年 RD. All rights reserved.
//

#import "RDSBaseXibView.h"
#import "UIView+RDSClip.h"

@implementation RDSBaseXibView

+ (instancetype)rds_loadViewFromNib {
    return [[[NSBundle mainBundle] loadNibNamed:NSStringFromClass(self) owner:nil options:nil] firstObject];
}

- (void)rds_cornerInit {
    [self rds_setupCornerAndShadowWithRadius:6 shadowColor:nil];
}

- (void)rds_setupCornerWithRadius:(CGFloat)cornerRadius {
    [self rds_addCornerRadius:cornerRadius];
}

- (void)rds_setupCornerAndShadowWithRadius:(CGFloat)cornerRadius shadowColor:(UIColor *)shadowColor {
    [self rds_addShadowAndCornerRadius:cornerRadius shadowColor:shadowColor];
}

@end
