//
//  RDSUserInfoModel.h
//  Temperature
//
//  Created by RD on 2022/11/24.
//

#import <UIKit/UIKit.h>
#import "FFDataBaseModel.h"


@interface RDSUserInfoModel : FFDataBaseModel

@property (nonatomic, strong) NSString *record_id;
@property (nonatomic, strong) NSString *user_name;
@property (nonatomic, strong) NSString *password;
@property (nonatomic, strong) NSString *phone;
@property (nonatomic, strong) NSString *status;
@property (nonatomic, strong) NSString *photo;
@property (nonatomic, strong) NSString *default_home_id;
@property (nonatomic, strong) NSString *created_at;
@property (nonatomic, assign) BOOL set_password;

@property (nonatomic, strong) UIImage *headImg;

+ (void)rds_getCurrentUserInfoFinished:(void(^)(NSError *error))finished;

+ (RDSUserInfoModel *)rds_allocInit;

- (void)rds_getHeadImgFinished:(void(^)(NSError *error))finished;
@end

