//
//  RDSHudShower.h
//  RuiYuRealEstate
//
//  Created by coderYK on 2018/9/5.
//  Copyright © 2018年 coderYK. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RDSHudShower : NSObject

// 信息提示框 HUD
+ (void)showCenterToast:(NSString *)msg;
+ (void)showBottomToast:(NSString *)msg;
+ (void)showBottomToastDebug:(NSString *)msg;


+ (void)setupHUD;
+ (void)showToast:(NSString *)msg;
+ (void)showWithStatus:(NSString *)status;
+ (void)showWithStatus:(NSString *)status autoDismiss:(BOOL)dismiss;
+ (void)showWithStatus:(NSString *)status dismissAffter:(NSTimeInterval)second;
+ (void)showWithStatusDismissAffter:(NSTimeInterval)second;
+ (void)dismissHUD;
+ (void)showSuccessWithStatus:(NSString *)status;
+ (void)showErrorWithStatus:(NSString *)status;
+ (void)showInfoWithStatus:(NSString*)status;

@end
