//
//  RDSUserLocation.h
//  SmartLightForBigFish
//
//  Created by coderYK on 2017/9/11.
//  Copyright © 2017年 RD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RDSUserLocation : NSObject // <NSCopying>

@property (nonatomic, strong) NSError *error; // ** 错误信息*/
@property (nonatomic, strong, readonly) NSString *provinceString;   // ** 省份*/
@property (nonatomic, strong, readonly) NSString *cityString;       // ** 城市*/
@property (nonatomic, strong, readonly) NSString *districtString;   // ** 区*/
@property (nonatomic, strong, readonly) NSString *detailString;     // ** 描述*/
@property (nonatomic, strong, readonly) NSNumber *latitude;         // ** 纬度*/
@property (nonatomic, strong, readonly) NSNumber *longitude;        // ** 经度*/

@property (nonatomic, strong, readonly) NSString *deviceLocation;   // ** 发送给设备的定位信息*/

@end
