//
//  RDSImagePicker.h
//  SmartLightForBigFish
//
//  Created by coderYK on 2017/8/19.
//  Copyright © 2017年 RD. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, EImageSourceType) {
    EImageFromPhoto,
    EImageFromCamera
};

typedef void(^pickComplectBlock)(UIImage *pickImage);

@interface RDSImagePicker : NSObject

+ (instancetype)sharePicker;

- (void)rds_pickImageFrom:(EImageSourceType)imgSourceType needEdit:(BOOL)need complected:(pickComplectBlock)pickComplectHandler;

@end
