//
//  RDSRgbColor.h
//  LampRibbon
//
//  Created by coderYK on 2017/8/24.
//  Copyright © 2017年 RD. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RDSRgbColor : NSObject <NSCoding, NSCopying>

+ (instancetype)rds_rgbColorWithRgbArr:(NSArray *)array;
+ (instancetype)rds_colorWithR:(int)red G:(int)green B:(int)blue;
+ (instancetype)rds_colorWithRgbHexString:(NSString *)rgb_hex;

@property (nonatomic, assign) int red;
@property (nonatomic, assign) int green;
@property (nonatomic, assign) int blue;

@property (nonatomic, strong) NSString *rgb_hex; // ** 3个字节的rgb颜色*/
@property (nonatomic, strong) NSString *red_hex;
@property (nonatomic, strong) NSString *green_hex;
@property (nonatomic, strong) NSString *blue_hex;

@property (nonatomic, assign) int brightness; // ** 静态颜色或流光模式下的颜色亮度*/

@end
